Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ohf.ihe.common.cdar2
Class XInformationRecipient

    java.lang.Object
      org.eclipse.emf.common.util.AbstractEnumerator
          org.eclipse.ohf.ihe.common.cdar2.XInformationRecipient

All Implemented Interfaces:
  org.eclipse.emf.common.util.Enumerator

    public final class XInformationRecipient

extends org.eclipse.emf.common.util.AbstractEnumerator

A representation of the literals of the enumeration 'XInformation Recipient', and utility methods for working with them. abstDomain: V19366 (C-0-D10901-V19366-cpt)

See Also:
  `CDAR2Package.getXInformationRecipient()`

Field Summary
`static int` | `PRCP` The 'PRCP' literal value.
`static XInformationRecipient` | `PRCP_LITERAL` The 'PRCP' literal object.
`static int` | `TRC` The 'TRC' literal value.
`static XInformationRecipient` | `TRC_LITERAL` The 'TRC' literal object.
`static java.util.List` | `VALUES` A public read-only list of all the 'XInformation Recipient' enumerators.

Method Summary
`static XInformationRecipient` | `get(int value)` Returns the 'XInformation Recipient' literal with the specified integer value.
`static XInformationRecipient` | `get(java.lang.String literal)` Returns the 'XInformation Recipient' literal with the specified literal value.
`static XInformationRecipient` | `getByName(java.lang.String name)` Returns the 'XInformation Recipient' literal with the specified name.

Methods inherited from class org.eclipse.emf.common.util.AbstractEnumerator
`getLiteral, getName, getValue, toString`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PRCP

    public static final int PRCP

  The 'PRCP' literal value.

  If the meaning of 'PRCP' literal object isn't clear, there really should be more of a description here...

  See Also:
    `PRCP_LITERAL`, Constant Field Values

### TRC

    public static final int TRC

  The 'TRC' literal value.

  If the meaning of 'TRC' literal object isn't clear, there really should be more of a description here...

  See Also:
    `TRC_LITERAL`, Constant Field Values

### PRCP_LITERAL

    public static final XInformationRecipient PRCP_LITERAL

  The 'PRCP' literal object.

  See Also:
    `PRCP`

### TRC_LITERAL

    public static final XInformationRecipient TRC_LITERAL

  The 'TRC' literal object.

  See Also:
    `TRC`

### VALUES

    public static final java.util.List VALUES

  A public read-only list of all the 'XInformation Recipient' enumerators.

Method Detail

### get

    public static XInformationRecipient get(java.lang.String literal)

  Returns the 'XInformation Recipient' literal with the specified literal value.

### getByName

    public static XInformationRecipient getByName(java.lang.String name)

  Returns the 'XInformation Recipient' literal with the specified name.

### get

    public static XInformationRecipient get(int value)

  Returns the 'XInformation Recipient' literal with the specified integer value.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD